def label_fct(la):
    la = la.replace("onxpython_compiled", "opy")
    la = la.replace("onxonnxruntime1", "ort")
    la = la.replace("True", "1")
    la = la.replace("False", "0")
    la = la.replace("max_depth", "mxd")
    la = la.replace("method=predict_proba", "prob")
    la = la.replace("method=predict", "cl")
    return la

import matplotlib.pyplot as plt
import pandas
from pymlbenchmark.plotting import plot_bench_results

name = "../../onnx/results/bench_plot_onnxruntime_decision_tree.perf.csv"
df = pandas.read_csv(name)

plot_bench_results(df, row_cols='N', col_cols='max_depth',
                   hue_cols='method',
                   cmp_col_values=('lib', 'skl'),
                   x_value='dim', y_value='mean',
                   title=None, label_fct=label_fct, fontsize=12,
                   ax=None, box_side=4)
plt.suptitle("Acceleration onnxruntime / scikit-learn for DecisionTreeClassifier")
plt.show()